> ## Documentation Index
> Fetch the complete documentation index at: https://chatbotx.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get conversation

> Use this to inspect one conversation's contact, channel, assignee, and status after locating it with `conversations.list`. Call `conversations.assign` to change its assignee.



## OpenAPI

````yaml /api-reference/platform-api.json get /v1/conversations/{id}
openapi: 3.1.1
info:
  title: ChatbotX
  version: 0.0.1
servers:
  - url: https://app.chatbotx.io/api
security:
  - bearerAuth: []
  - developerAccessToken: []
  - tokenInSearchParams: []
paths:
  /v1/conversations/{id}:
    get:
      tags:
        - Conversations
      summary: Get conversation
      description: >-
        Use this to inspect one conversation's contact, channel, assignee, and
        status after locating it with `conversations.list`. Call
        `conversations.assign` to change its assignee.
      operationId: conversations.get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            pattern: ^\d+$
            description: Conversation id. Get it from `conversations.list`.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    allOf:
                      - type: object
                        properties:
                          id:
                            type: string
                          createdAt:
                            type: string
                            format: date-time
                            x-native-type: date
                          updatedAt:
                            type: string
                            format: date-time
                            x-native-type: date
                          botEnabled:
                            type: boolean
                          botResumeAt:
                            anyOf:
                              - type: string
                                format: date-time
                                x-native-type: date
                              - type: 'null'
                          archivedAt:
                            anyOf:
                              - type: string
                                format: date-time
                                x-native-type: date
                              - type: 'null'
                          additionalAttributes:
                            anyOf:
                              - anyOf:
                                  - anyOf:
                                      - type: string
                                      - type: number
                                      - type: boolean
                                      - type: 'null'
                                  - type: object
                                    propertyNames:
                                      type: string
                                    additionalProperties: {}
                                  - type: array
                                    items:
                                      anyOf:
                                        - {}
                                        - type: 'null'
                              - type: 'null'
                          contactLastReadAt:
                            anyOf:
                              - type: string
                                format: date-time
                                x-native-type: date
                              - type: 'null'
                          agentLastReadAt:
                            anyOf:
                              - type: string
                                format: date-time
                                x-native-type: date
                              - type: 'null'
                          aiContextLastMessageId:
                            anyOf:
                              - {}
                              - type: 'null'
                          lastActivityAt:
                            anyOf:
                              - type: string
                                format: date-time
                                x-native-type: date
                              - type: 'null'
                          followed:
                            type: boolean
                          assignedUserId:
                            anyOf:
                              - {}
                              - type: 'null'
                          assignedInboxTeamId:
                            anyOf:
                              - {}
                              - type: 'null'
                          workspaceId:
                            type: string
                          contactId:
                            type: string
                          sourceId:
                            anyOf:
                              - type: string
                              - type: 'null'
                          lastStep:
                            anyOf:
                              - type: string
                              - type: 'null'
                          currentStep:
                            anyOf:
                              - type: string
                              - type: 'null'
                          adminRepliedAt:
                            anyOf:
                              - type: string
                                format: date-time
                                x-native-type: date
                              - type: 'null'
                          contactRepliedAt:
                            anyOf:
                              - type: string
                                format: date-time
                                x-native-type: date
                              - type: 'null'
                        required:
                          - id
                          - createdAt
                          - updatedAt
                          - botEnabled
                          - botResumeAt
                          - archivedAt
                          - additionalAttributes
                          - contactLastReadAt
                          - agentLastReadAt
                          - lastActivityAt
                          - followed
                          - workspaceId
                          - contactId
                          - sourceId
                          - lastStep
                          - currentStep
                          - adminRepliedAt
                          - contactRepliedAt
                      - type: object
                        properties:
                          contactInboxes:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                contactId:
                                  type: string
                                inboxId:
                                  type: string
                                channel:
                                  type: string
                                source:
                                  type: string
                                sourceId:
                                  type: string
                                sourceUserId:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                sourceUsername:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                language:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                lastIncomingMessageAt:
                                  anyOf:
                                    - type: string
                                      format: date-time
                                      x-native-type: date
                                    - type: 'null'
                                contactLastReadAt:
                                  anyOf:
                                    - type: string
                                      format: date-time
                                      x-native-type: date
                                    - type: 'null'
                                inbox:
                                  type: object
                                  properties:
                                    name:
                                      type: string
                                  required:
                                    - name
                                adReferral:
                                  anyOf:
                                    - type: object
                                      properties:
                                        adTitle:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        sourceUrl:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                      required:
                                        - adTitle
                                    - type: 'null'
                                lastMessageAt:
                                  anyOf:
                                    - type: string
                                      format: date-time
                                      x-native-type: date
                                    - type: 'null'
                              required:
                                - id
                                - contactId
                                - inboxId
                                - channel
                                - source
                                - sourceId
                                - language
                                - lastIncomingMessageAt
                                - inbox
                                - adReferral
                                - lastMessageAt
                          messages:
                            type: array
                            items:
                              allOf:
                                - allOf:
                                    - type: object
                                      properties:
                                        id:
                                          type: string
                                        createdAt:
                                          type: string
                                          format: date-time
                                          x-native-type: date
                                        updatedAt:
                                          type: string
                                          format: date-time
                                          x-native-type: date
                                        conversationId:
                                          type: string
                                        contactInboxId:
                                          type: string
                                        workspaceId:
                                          type: string
                                        text:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        contentAttributes:
                                          anyOf:
                                            - anyOf:
                                                - anyOf:
                                                    - type: string
                                                    - type: number
                                                    - type: boolean
                                                    - type: 'null'
                                                - type: object
                                                  propertyNames:
                                                    type: string
                                                  additionalProperties: {}
                                                - type: array
                                                  items:
                                                    anyOf:
                                                      - {}
                                                      - type: 'null'
                                            - type: 'null'
                                        messageType:
                                          enum:
                                            - incoming
                                            - outgoing
                                            - activity
                                          type: string
                                        contentType:
                                          enum:
                                            - text
                                            - location
                                            - refLink
                                          type: string
                                        senderType:
                                          enum:
                                            - bot
                                            - contact
                                            - system
                                            - user
                                            - api
                                          type: string
                                        senderId:
                                          anyOf:
                                            - {}
                                            - type: 'null'
                                        sourceId:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        deletedAt:
                                          anyOf:
                                            - type: string
                                              format: date-time
                                              x-native-type: date
                                            - type: 'null'
                                        type:
                                          enum:
                                            - message
                                            - comment
                                          type: string
                                        parentId:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        attributes:
                                          anyOf:
                                            - anyOf:
                                                - anyOf:
                                                    - type: string
                                                    - type: number
                                                    - type: boolean
                                                    - type: 'null'
                                                - type: object
                                                  propertyNames:
                                                    type: string
                                                  additionalProperties: {}
                                                - type: array
                                                  items:
                                                    anyOf:
                                                      - {}
                                                      - type: 'null'
                                            - type: 'null'
                                        sendError:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                      required:
                                        - id
                                        - createdAt
                                        - updatedAt
                                        - conversationId
                                        - contactInboxId
                                        - workspaceId
                                        - text
                                        - contentAttributes
                                        - messageType
                                        - contentType
                                        - senderType
                                        - sourceId
                                        - deletedAt
                                        - type
                                        - parentId
                                        - attributes
                                        - sendError
                                    - type: object
                                      properties:
                                        clientId:
                                          type: string
                                          pattern: ^\d+$
                                - type: object
                                  properties:
                                    attachmentCount:
                                      type: number
                                    attachments:
                                      type: array
                                      items:
                                        allOf:
                                          - type: object
                                            properties:
                                              id:
                                                type: string
                                              createdAt:
                                                type: string
                                                format: date-time
                                                x-native-type: date
                                              updatedAt:
                                                type: string
                                                format: date-time
                                                x-native-type: date
                                              workspaceId: {}
                                              conversationId: {}
                                              messageId: {}
                                              messageCreatedAt:
                                                type: string
                                                format: date-time
                                                x-native-type: date
                                              fileType:
                                                enum:
                                                  - image
                                                  - video
                                                  - audio
                                                  - gif
                                                  - file
                                                type: string
                                              sourceId:
                                                anyOf:
                                                  - type: string
                                                  - type: 'null'
                                              mimeType:
                                                type: string
                                              width:
                                                anyOf:
                                                  - type: integer
                                                    minimum: -2147483648
                                                    maximum: 2147483647
                                                  - type: 'null'
                                              height:
                                                anyOf:
                                                  - type: integer
                                                    minimum: -2147483648
                                                    maximum: 2147483647
                                                  - type: 'null'
                                              size:
                                                type: integer
                                                minimum: -2147483648
                                                maximum: 2147483647
                                              thumbnailPath:
                                                anyOf:
                                                  - type: string
                                                  - type: 'null'
                                              originPath:
                                                type: string
                                              name:
                                                anyOf:
                                                  - type: string
                                                  - type: 'null'
                                            required:
                                              - id
                                              - createdAt
                                              - updatedAt
                                              - messageCreatedAt
                                              - fileType
                                              - sourceId
                                              - mimeType
                                              - width
                                              - height
                                              - size
                                              - thumbnailPath
                                              - originPath
                                              - name
                                          - type: object
                                            properties:
                                              url:
                                                anyOf:
                                                  - type: string
                                                    format: uri
                                                  - type: 'null'
                                    user:
                                      type: object
                                      properties:
                                        id:
                                          type: string
                                        createdAt:
                                          type: string
                                          format: date-time
                                          x-native-type: date
                                        updatedAt:
                                          type: string
                                          format: date-time
                                          x-native-type: date
                                        name:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        email:
                                          type: string
                                        emailVerified:
                                          type: boolean
                                        image:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        isAnonymous:
                                          type: boolean
                                        mustChangePassword:
                                          type: boolean
                                        tenantId: {}
                                      required:
                                        - id
                                        - createdAt
                                        - updatedAt
                                        - name
                                        - email
                                        - emailVerified
                                        - image
                                        - isAnonymous
                                        - mustChangePassword
                                    contact:
                                      type: object
                                      properties:
                                        id:
                                          type: string
                                        createdAt:
                                          type: string
                                          format: date-time
                                          x-native-type: date
                                        updatedAt:
                                          type: string
                                          format: date-time
                                          x-native-type: date
                                        avatar:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        phoneNumber:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        email:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        emailVerified:
                                          type: boolean
                                        emailOptIn:
                                          type: boolean
                                        firstName:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        lastName:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        fullName:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        gender:
                                          anyOf:
                                            - enum:
                                                - male
                                                - female
                                                - unknown
                                              type: string
                                            - type: 'null'
                                        lastReadAt:
                                          anyOf:
                                            - type: string
                                              format: date-time
                                              x-native-type: date
                                            - type: 'null'
                                        ref:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        country:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        state:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        city:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        location:
                                          anyOf:
                                            - anyOf:
                                                - anyOf:
                                                    - type: string
                                                    - type: number
                                                    - type: boolean
                                                    - type: 'null'
                                                - type: object
                                                  propertyNames:
                                                    type: string
                                                  additionalProperties: {}
                                                - type: array
                                                  items:
                                                    anyOf:
                                                      - {}
                                                      - type: 'null'
                                            - type: 'null'
                                        locale:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        timezone:
                                          anyOf:
                                            - type: string
                                            - type: 'null'
                                        subscribedAt:
                                          anyOf:
                                            - type: string
                                              format: date-time
                                              x-native-type: date
                                            - type: 'null'
                                        broadcastSubscribedAt:
                                          anyOf:
                                            - type: string
                                              format: date-time
                                              x-native-type: date
                                            - type: 'null'
                                        blockedAt:
                                          anyOf:
                                            - type: string
                                              format: date-time
                                              x-native-type: date
                                            - type: 'null'
                                        workspaceId:
                                          type: string
                                      required:
                                        - id
                                        - createdAt
                                        - updatedAt
                                        - avatar
                                        - phoneNumber
                                        - email
                                        - emailVerified
                                        - emailOptIn
                                        - firstName
                                        - lastName
                                        - fullName
                                        - gender
                                        - lastReadAt
                                        - ref
                                        - country
                                        - state
                                        - city
                                        - location
                                        - locale
                                        - timezone
                                        - subscribedAt
                                        - broadcastSubscribedAt
                                        - blockedAt
                                        - workspaceId
                                    clientId:
                                      type: string
                                      pattern: ^\d+$
                          contact:
                            anyOf:
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  createdAt:
                                    type: string
                                    format: date-time
                                    x-native-type: date
                                  updatedAt:
                                    type: string
                                    format: date-time
                                    x-native-type: date
                                  avatar:
                                    anyOf:
                                      - type: string
                                      - type: 'null'
                                  phoneNumber:
                                    anyOf:
                                      - type: string
                                      - type: 'null'
                                  email:
                                    anyOf:
                                      - type: string
                                      - type: 'null'
                                  emailVerified:
                                    type: boolean
                                  emailOptIn:
                                    type: boolean
                                  firstName:
                                    anyOf:
                                      - type: string
                                      - type: 'null'
                                  lastName:
                                    anyOf:
                                      - type: string
                                      - type: 'null'
                                  fullName:
                                    anyOf:
                                      - type: string
                                      - type: 'null'
                                  gender:
                                    anyOf:
                                      - enum:
                                          - male
                                          - female
                                          - unknown
                                        type: string
                                      - type: 'null'
                                  lastReadAt:
                                    anyOf:
                                      - type: string
                                        format: date-time
                                        x-native-type: date
                                      - type: 'null'
                                  ref:
                                    anyOf:
                                      - type: string
                                      - type: 'null'
                                  country:
                                    anyOf:
                                      - type: string
                                      - type: 'null'
                                  state:
                                    anyOf:
                                      - type: string
                                      - type: 'null'
                                  city:
                                    anyOf:
                                      - type: string
                                      - type: 'null'
                                  location:
                                    anyOf:
                                      - anyOf:
                                          - anyOf:
                                              - type: string
                                              - type: number
                                              - type: boolean
                                              - type: 'null'
                                          - type: object
                                            propertyNames:
                                              type: string
                                            additionalProperties: {}
                                          - type: array
                                            items:
                                              anyOf:
                                                - {}
                                                - type: 'null'
                                      - type: 'null'
                                  locale:
                                    anyOf:
                                      - type: string
                                      - type: 'null'
                                  timezone:
                                    anyOf:
                                      - type: string
                                      - type: 'null'
                                  subscribedAt:
                                    anyOf:
                                      - type: string
                                        format: date-time
                                        x-native-type: date
                                      - type: 'null'
                                  broadcastSubscribedAt:
                                    anyOf:
                                      - type: string
                                        format: date-time
                                        x-native-type: date
                                      - type: 'null'
                                  blockedAt:
                                    anyOf:
                                      - type: string
                                        format: date-time
                                        x-native-type: date
                                      - type: 'null'
                                  workspaceId:
                                    type: string
                                required:
                                  - id
                                  - createdAt
                                  - updatedAt
                                  - avatar
                                  - phoneNumber
                                  - email
                                  - emailVerified
                                  - emailOptIn
                                  - firstName
                                  - lastName
                                  - fullName
                                  - gender
                                  - lastReadAt
                                  - ref
                                  - country
                                  - state
                                  - city
                                  - location
                                  - locale
                                  - timezone
                                  - subscribedAt
                                  - broadcastSubscribedAt
                                  - blockedAt
                                  - workspaceId
                              - type: 'null'
                          assignedUser:
                            anyOf:
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  createdAt:
                                    type: string
                                    format: date-time
                                    x-native-type: date
                                  updatedAt:
                                    type: string
                                    format: date-time
                                    x-native-type: date
                                  name:
                                    anyOf:
                                      - type: string
                                      - type: 'null'
                                  email:
                                    type: string
                                  emailVerified:
                                    type: boolean
                                  image:
                                    anyOf:
                                      - type: string
                                      - type: 'null'
                                  isAnonymous:
                                    type: boolean
                                  mustChangePassword:
                                    type: boolean
                                  tenantId: {}
                                required:
                                  - id
                                  - createdAt
                                  - updatedAt
                                  - name
                                  - email
                                  - emailVerified
                                  - image
                                  - isAnonymous
                                  - mustChangePassword
                              - type: 'null'
                          assignedInboxTeam:
                            anyOf:
                              - type: object
                                properties:
                                  id:
                                    type: string
                                  createdAt:
                                    type: string
                                    format: date-time
                                    x-native-type: date
                                  updatedAt:
                                    type: string
                                    format: date-time
                                    x-native-type: date
                                  workspaceId:
                                    type: string
                                  name:
                                    type: string
                                required:
                                  - id
                                  - createdAt
                                  - updatedAt
                                  - workspaceId
                                  - name
                              - type: 'null'
                        required:
                          - contactInboxes
                          - messages
                          - contact
                          - assignedUser
                          - assignedInboxTeam
                required:
                  - data
        '400':
          description: '400'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: businessError
                      status:
                        const: 400
                      message:
                        type: string
                        default: An error occurred while processing your request
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - $ref: '#/components/schemas/UndefinedError'
        '401':
          description: '401'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: UNAUTHORIZED
                      status:
                        const: 401
                      message:
                        type: string
                        default: Authentication required
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: INVALID_CHATBOT_TOKEN
                      status:
                        const: 401
                      message:
                        type: string
                        default: Invalid or missing workspace API token
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - $ref: '#/components/schemas/UndefinedError'
        '403':
          description: '403'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: FORBIDDEN
                      status:
                        const: 403
                      message:
                        type: string
                        default: You do not have permission to perform this action
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: trialExpired
                      status:
                        const: 403
                      message:
                        type: string
                        default: Trial expired
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: macLimitReached
                      status:
                        const: 403
                      message:
                        type: string
                        default: Monthly active contact limit reached
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - $ref: '#/components/schemas/UndefinedError'
        '404':
          description: '404'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: notFound
                      status:
                        const: 404
                      message:
                        type: string
                        default: Resource not found
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - $ref: '#/components/schemas/UndefinedError'
        '422':
          description: '422'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: invalidRequestData
                      status:
                        const: 422
                      message:
                        type: string
                        default: Input validation failed
                      data:
                        type: object
                        properties:
                          issues:
                            type: array
                            items:
                              type: object
                              properties:
                                message:
                                  type: string
                                path:
                                  type: array
                                  items:
                                    anyOf:
                                      - type: string
                                      - type: number
                                      - type: object
                                        properties:
                                          key:
                                            anyOf:
                                              - type: string
                                              - type: number
                                        required:
                                          - key
                                        additionalProperties: {}
                              required:
                                - message
                              additionalProperties: {}
                        required:
                          - issues
                        additionalProperties: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                      - data
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: validation
                      status:
                        const: 422
                      message:
                        type: string
                        default: Validation error
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - $ref: '#/components/schemas/UndefinedError'
        '429':
          description: '429'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: tooManyRequests
                      status:
                        const: 429
                      message:
                        type: string
                        default: Too many requests
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - $ref: '#/components/schemas/UndefinedError'
        '500':
          description: '500'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: INTERNAL_SERVER_ERROR
                      status:
                        const: 500
                      message:
                        type: string
                        default: An unexpected error occurred
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - $ref: '#/components/schemas/UndefinedError'
components:
  schemas:
    UndefinedError:
      type: object
      properties:
        defined:
          const: false
        code:
          type: string
        status:
          type: number
        message:
          type: string
        data: {}
      required:
        - defined
        - code
        - status
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    developerAccessToken:
      type: http
      scheme: bearer
    tokenInSearchParams:
      type: apiKey
      in: query
      name: token

````